Bug 1469826 - pyanaconda.payload.PayloadInstallError: Failed to mount the install tree
pyanaconda.payload.PayloadInstallError: Failed to mount the install tree
Status: NEW
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:804e5b5fdbc65aed33903cac928...
:
: 1403980 1456207 1471408 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 18:28 EDT by Dan
Modified: 2017-08-07 13:47 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.57 MB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: anaconda.log (25.48 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: environ (591 bytes, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: journalctl (591.33 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: lsblk_output (2.86 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: nmcli_dev_list (2.77 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: os_info (518 bytes, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: program.log (133.32 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: storage.log (756.40 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details
File: ifcfg.log (18.20 KB, text/plain)
2017-07-11 18:29 EDT, Dan
no flags Details

  None (edit)
Description Dan 2017-07-11 18:28:48 EDT
Description of problem:
Started installation in graphics safe mode and went to install using anaconda. Bug happens after clicking "Continue" in the very first screen.

Version-Release number of selected component:
anaconda-core-26.21.11-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/livepayload.py", line 84, in setup
    raise PayloadInstallError("Failed to mount the install tree")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/__init__.py", line 1432, in _runThread
    payload.setup(storage, instClass)
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
pyanaconda.payload.PayloadInstallError: Failed to mount the install tree

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=FEDORA-WS-L rd.live.image nomodeset quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26
Comment 1 Dan 2017-07-11 18:29:13 EDT
Created attachment 1296547 [details]
File: anaconda-tb
Comment 2 Dan 2017-07-11 18:29:14 EDT
Created attachment 1296548 [details]
File: anaconda.log
Comment 3 Dan 2017-07-11 18:29:16 EDT
Created attachment 1296549 [details]
File: environ
Comment 4 Dan 2017-07-11 18:29:24 EDT
Created attachment 1296550 [details]
File: journalctl
Comment 5 Dan 2017-07-11 18:29:29 EDT
Created attachment 1296551 [details]
File: lsblk_output
Comment 6 Dan 2017-07-11 18:29:30 EDT
Created attachment 1296552 [details]
File: nmcli_dev_list
Comment 7 Dan 2017-07-11 18:29:31 EDT
Created attachment 1296553 [details]
File: os_info
Comment 8 Dan 2017-07-11 18:29:34 EDT
Created attachment 1296554 [details]
File: program.log
Comment 9 Dan 2017-07-11 18:29:45 EDT
Created attachment 1296555 [details]
File: storage.log
Comment 10 Dan 2017-07-11 18:29:47 EDT
Created attachment 1296556 [details]
File: ifcfg.log
Comment 11 Bob Schultz 2017-07-15 13:02:47 EDT
*** Bug 1471408 has been marked as a duplicate of this bug. ***
Comment 12 Amitosh Swain Mahapatra 2017-07-24 11:18:23 EDT
Similar problem has been detected:

Start fedora installation from desktop icon
Select English (United States) in language selector

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-KDE-Live-26-1-5 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
package:        anaconda-core-26.21.11-1.fc26.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Failed to mount the install tree
release:        Fedora release 26 (Twenty Six)
version:        26
Comment 13 Ben Williams 2017-07-24 11:57:25 EDT
seems to happen as an exmaple select english as the language and select english india for the keybaord
Comment 14 Troy Curtis 2017-08-05 10:01:39 EDT
Similar problem has been detected:

After starting the installation procedure for Fedora 26 from the Live Session (booting from USB), it hung for a very long time after clicking "Continue" on the lanuage screen.  I'm not exactly sure how long since I left it and took the dog for a walk.  But once I returned there was the python exception stating it could not mount the install tree.

I'm not sure if it is related or not, but I did notice in the journal while it was hanging it, that fsck was being run on some of the larger volume I have on my disk.  So perhaps it was running the checks, and just taking a long time to complete before finally timing out?

It does appear that the "Installation Summary" screen is now up, and I will attempt to proceed with the installation to see if the issue was transient.

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
package:        anaconda-core-26.21.11-1.fc26.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Failed to mount the install tree
release:        Fedora release 26 (Twenty Six)
version:        26
Comment 15 Troy Curtis 2017-08-05 10:04:12 EDT
(In reply to Troy Curtis from comment #14)
> Similar problem has been detected:
> 
> After starting the installation procedure for Fedora 26 from the Live
> Session (booting from USB), it hung for a very long time after clicking
> "Continue" on the lanuage screen.  I'm not exactly sure how long since I
> left it and took the dog for a walk.  But once I returned there was the
> python exception stating it could not mount the install tree.
> 
> I'm not sure if it is related or not, but I did notice in the journal while
> it was hanging it, that fsck was being run on some of the larger volume I
> have on my disk.  So perhaps it was running the checks, and just taking a
> long time to complete before finally timing out?
> 
> It does appear that the "Installation Summary" screen is now up, and I will
> attempt to proceed with the installation to see if the issue was transient.
> 
> addons:         com_redhat_kdump
> cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst
> --method=livecd:///dev/mapper/live-base
> cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz
> root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet
> hashmarkername: anaconda
> kernel:         4.11.8-300.fc26.x86_64
> other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
> package:        anaconda-core-26.21.11-1.fc26.x86_64
> packaging.log:  
> product:        Fedora
> reason:         pyanaconda.payload.PayloadInstallError: Failed to mount the
> install tree
> release:        Fedora release 26 (Twenty Six)
> version:        26



Quick follow up: While the "Installation Summary" seemed to be displayed, it was not accessible, presumably since the underlying system had the attached python exception.
Comment 16 Jiri Konecny 2017-08-07 03:21:28 EDT
*** Bug 1456207 has been marked as a duplicate of this bug. ***
Comment 17 Jiri Konecny 2017-08-07 03:26:42 EDT
*** Bug 1403980 has been marked as a duplicate of this bug. ***
Comment 18 Charles Butterfield 2017-08-07 07:49:26 EDT
FYI - bug https://bugzilla.redhat.com/show_bug.cgi?id=1403980 was opened last year (2016) so really this bug is a duplicate of that one.  That ticket DOES show some potential workarounds that MAY help some users.
Comment 19 ToFabricio 2017-08-07 13:47:20 EDT
Similar problem has been detected:

tal vez porque elimine una particion con Gnome-Disk- Util.. estando con el instalador pero cerre el instalador y lo voli a abrir

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image rd.live.check quiet
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
package:        anaconda-core-26.21.11-1.fc26.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Failed to mount the install tree
release:        Fedora release 26 (Twenty Six)
version:        26

Note You need to log in before you can comment on or make changes to this bug.